<?php

namespace Drupal\page_deletion_guard\Controller;

use Drupal\Core\Controller\ControllerBase;
use Drupal\Core\Form\FormBuilderInterface;
use Drupal\page_deletion_guard\Form\PageDeletionGuardForm;
use Symfony\Component\DependencyInjection\ContainerInterface;

/**
 * Defines a controller to load admin form for locked pages.
 */
class PageDeletionGuardController extends ControllerBase {

  /**
   * The form builder service.
   *
   * @var \Drupal\Core\Form\FormBuilderInterface
   */
  protected $formBuilder;

  /**
   * Constructs a PageDeletionGuardController object.
   *
   * @param \Drupal\Core\Form\FormBuilderInterface $form_builder
   *   The form builder service.
   */
  public function __construct(FormBuilderInterface $form_builder) {
    $this->formBuilder = $form_builder;
  }

  /**
   * {@inheritdoc}
   */
  public static function create(ContainerInterface $container) {
    /** @var \Drupal\Core\Form\FormBuilderInterface $form_builder */
    $form_builder = $container->get('form_builder');
    return new static($form_builder);
  }

  /**
   * Returns the configuration form.
   */
  public function content() {
    $form = $this->formBuilder->getForm(PageDeletionGuardForm::class);
    return $form;
  }

}
